> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke an API trigger endpoint



## OpenAPI

````yaml /openapi/workflows.json post /workflows/api-endpoints/{id}/revoke
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/api-endpoints/{id}/revoke:
    post:
      tags:
        - Workflows
      summary: Revoke an API trigger endpoint
      operationId: workflows.apiEndpoints.revoke
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  friendlyId:
                    type: string
                  workflowId:
                    type: string
                    format: uuid
                  nodeId:
                    type: string
                  label:
                    anyOf:
                      - type: string
                      - type: 'null'
                  revokedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  lastUsedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  createdAt:
                    type: string
                required:
                  - id
                  - friendlyId
                  - workflowId
                  - nodeId
                  - label
                  - revokedAt
                  - lastUsedAt
                  - createdAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````